'************************************************
' File:    TestOCX.vbs (WSH sample in VBScript) 
' Author:  (c) Gnter Born
'
' Demonstrates how to access the WSHExtend.ocx component
' using a WSH script.
' Use at your own risk. No support, no liability.
'
' New samples are available at the the WSH Bazaar:
' http://ourworld.compuserve.com/homepages/Guenter_Born/index0.htm
'************************************************
Option Explicit

Const HKCR = &H80000000
Const HKCU = &H80000001
Const HKLM = &H80000002
Const HKU = &H80000003

Dim WSHShell, objAdr, tst 
Dim objAdr1, Root, key, key1

' setze einige Konstante
Root = "HKEY_CLASSES_ROOT"
key = "\.1G_Born\"
key1 = ".1G_Born"

MsgBox "Test whether the ActiveX control WSHExtend.ocx is registered." + _
        vbCRLF + "If a run-time error occurs, the OCX isn't registered." + _
        vbCRLF + "Then use the program RegisterOcx.bat."

' Create the Test object, requires WSHExtend.ocx, otherwise the
' following line creates a run-time error (can't create object).
Set objAdr = CreateObject("WSHExtend.WinExt")

WScript.Echo "Time:", objAdr.WSHGetTime()
WScript.Echo "Date:", objAdr.WSHGetDate()

WScript.Echo "Your Input was: ", objAdr.WSHInputBox ( _
        "Enter something", "WSHTest by G. Born", "Hello")

objAdr.WSHAbout()

' Test the WSHKeyExist method
Set WSHShell = WScript.CreateObject("WScript.Shell")
 If objAdr.WSHKeyExist(HKCR, key1) Then
  tst = MsgBox ("Key " + key + " not found," + _
        vbCRLF + "delete?", vbYesNo + vbQuestion, "Test")
  If tst = vbYes Then
   WSHShell.RegDelete Root + Key
   MsgBox "Key " + key + " deleted"
  End if        
 Else
  tst = MsgBox ("Key " + key + " not found," + _
          vbCRLF + "create?", vbYesNo + vbQuestion, "Test")
  If tst = vbYes Then
   WSHShell.RegWrite Root+Key, ""   ' create key
   WSHShell.Popup "Key " + Root + Key + " created"
  End if        
 End If
' *** End